package interpreter;

// Implementação de uma ação terminal que realiza um comando
public class CommandAction implements Action {

    // Comando que será executado
    private Command command;

    public CommandAction(Command command) {
        this.command = command;
    }

    // Implementação da operação interpret que executará o comando
    public void interpret(Object context) {
        this.command.execute(context);
    }

    // Implementação da operação generateXML que irá gerar o XML do comando
    public String generateXML() {
        String returnXML = "<CommandAction>";

        String commandName = command.getClass().getSimpleName();

        returnXML = returnXML.concat(
                "<" + commandName + ">" +
                    this.command.getValue().toString() +
                "</" + commandName + ">");

        return returnXML.concat("</CommandAction>");
    }
}
