package interpreter;

// Classe abstrata que define uma ação que possui uma condição
public abstract class ConditionalAction implements Action {

    // Ação que será realizada
    private final Action action;
    // Condição que definirá se a ação será executada ou não
    private final BooleanExpression condition;

    public ConditionalAction(Action action, BooleanExpression condition) {
        this.action = action;
        this.condition = condition;
    }

    public Action getAction() {
        return action;
    }

    public BooleanExpression getCondition() {
        return condition;
    }
}
