package interpreter;

// Implementação da ação que define um laço de repetição faça-enquanto
public class UntilRepetitionAction extends ConditionalAction {

    public UntilRepetitionAction(Action action, BooleanExpression condition) {
        super(action, condition);
    }

    // Implementação da operação interpret que interpreta a ação enquanto a condição for falsa
    public void interpret(Object context) {
        do {
            this.getAction().interpret(context);
        } while (!this.getCondition().evaluate(context));
    }

    // Implementação da operação que gera o XML da condição e da ação
    public String generateXML() {
        String returnXML = "<UntilRepetitionAction>";

        String conditionName = this.getCondition().getClass().getSimpleName();

        returnXML = returnXML.concat(
                "<" + conditionName + ">" +
                        this.getCondition().getParameter().toString() +
                        "</" + conditionName + ">" +
                        this.getAction().generateXML());

        return returnXML.concat("</UntilRepetitionAction>");
    }
}
