package interpreter;

// Implementação da ação que define um laço de repetição enquanto-faça
public class WhileRepetitionAction extends ConditionalAction {

    public WhileRepetitionAction(Action action, BooleanExpression condition) {
        super(action, condition);
    }

    // Implementação da operação interpret que interpreta a ação enquanto a condição for verdadeira
    public void interpret(Object context) {
        while (this.getCondition().evaluate(context)){
            this.getAction().interpret(context);
        }
    }

    // Implementação da operação que gera o XML da condição e da ação
    public String generateXML() {
        String returnXML = "<WhileRepetitionAction>";

        String conditionName = this.getCondition().getClass().getSimpleName();

        returnXML = returnXML.concat(
                "<" + conditionName + ">" +
                        this.getCondition().getParameter().toString() +
                        "</" + conditionName + ">" +
                        this.getAction().generateXML());

        return returnXML.concat("</WhileRepetitionAction>");
    }
}
