package interpreter.commands;

import interpreter.Command;
import interpreter.contexts.WaterPumperAgent;

public class AddTemperatureCommand implements Command {

    private float temperature;

    public AddTemperatureCommand(float temperature) {
        this.temperature = temperature;
    }

    public void execute(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent) context;
        agent.setTemperature(agent.getTemperature() + this.temperature);
    }

    public Object getValue() {
        return this.temperature;
    }
}
