package interpreter.commands;

import interpreter.Command;
import interpreter.contexts.WaterPumperAgent;

public class AddWaterLevelCommand implements Command {

    private int level;

    public AddWaterLevelCommand(int level) {
        this.level = level;
    }

    public void execute(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent) context;
        agent.setWaterLevel(agent.getWaterLevel() + this.level);
    }

    public Object getValue() {
        return this.level;
    }
}