package interpreter.expressions;

import interpreter.BooleanExpression;
import interpreter.contexts.WaterPumperAgent;

public class MaxTemperatureExpression implements BooleanExpression {

    private final float temperature;

    public MaxTemperatureExpression(float temperature) {
        this.temperature = temperature;
    }

    public boolean evaluate(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent) context;
        return agent.getTemperature() >= temperature;
    }

    public Object getParameter() {
        return this.temperature;
    }
}
