package interpreter.expressions;

import interpreter.BooleanExpression;
import interpreter.contexts.WaterPumperAgent;

public class MaxWaterLevelExpression implements BooleanExpression {

    private final int level;

    public MaxWaterLevelExpression(int level) {
        this.level = level;
    }

    public boolean evaluate(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent)context;
        return agent.getWaterLevel() < level;
    }

    public Object getParameter() {
        return this.level;
    }
}
