package interpreter.expressions;

import interpreter.BooleanExpression;
import interpreter.contexts.WaterPumperAgent;

public class PumperOnExpression implements BooleanExpression {

    private final boolean pumperIsOn;

    public PumperOnExpression(boolean pumperIsOn) {
        this.pumperIsOn = pumperIsOn;
    }

    public boolean evaluate(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent)context;
        return agent.isPumperOn() == pumperIsOn;
    }

    public Object getParameter() {
        return this.pumperIsOn;
    }
}
